# Update status of items in pending queue

This function sets the status of an item or items in the cPanel Market pending queue.

Endpoint: GET /Market/set_status_of_pending_queue_items
Version: 11.137.9999.106
Security: BasicAuth

## Query parameters:

  - `order_item_id` (string, required)
    The ID of the ordered item.

Note:

To set the status for multiple items, duplicate or increment the parameter name. For example, to change the status for three certificates, use the order_item_id parameter multiple times or use the order_item_id-1, order_item_id-2, and order_item_id-3 parameters.

  - `provider` (string, required)
    The cPanel Market provider's name.
    Example: "cPStore"

  - `status` (string, required)
    The new status of the item in the cPanel Market pending queue.

* confirmed — The system confirmed payment for the item with the provider.
    Enum: "confirmed"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "set_status_of_pending_queue_items"

  - `module` (string)
    The name of the module called.
    Example: "Market"

  - `result` (object)

  - `result.data` (object,null)
    The function only returns these values if the user or users do not have the order_item_id item in the cPanel Market pending queue.

  - `result.data.error_type` (string)
    The type of error that the function encountered.

* EntryDoesNotExist — The returned order_item_ids do not exist in the cPanel Market pending queue for the user.
    Enum: "EntryDoesNotExist"

  - `result.data.order_item_ids` (array)
    An array that lists order item IDs which do not exist in the cPanel Market pending queue for the user.
    Example: [8675309]

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    * 1 - Success.
* 0 - Failed. Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


